# Copyright (c) Jupyter Development Team.
# Distributed under the terms of the Modified BSD License.
ARG JUPYTERHUB_VERSION
FROM jupyterhub/jupyterhub-onbuild:$JUPYTERHUB_VERSION

# Install dockerspawner, oauth, postgres
RUN /opt/conda/bin/conda install -yq psycopg2=2.8 && \
    /opt/conda/bin/conda clean -tipsy && \
    /opt/conda/bin/pip install --no-cache-dir \
        dockerspawner==0.9.* \
        Flask \
        notebook==5.5.0 \
        nbdime==1.0.5 \
        sxsdiff==0.3.0


ADD ltiauthenticator /srv/jupyterhub/ltiauthenticator
RUN /opt/conda/bin/pip install /srv/jupyterhub/ltiauthenticator

COPY ./userlist /srv/jupyterhub/userlist
